<?php
if ( isset( $_POST[ 'imname' ] ) && isset( $_POST[ 'live' ] ) && isset( $_POST[ 'mibile' ] ) && isset( $_POST[ 'about' ] ) && isset( $_POST[ 'icq' ] ) && isset( $_POST[ 'skype' ] ) && $_POST[ 'mdp' ] == $ku[ 'mdp' ] )
		{
				if ( strlen2( $_POST[ 'imname' ] ) <= 64 )
								$au[ 'imname' ] = update_au( 'imname', my_esc( $_POST[ 'imname' ] ) );
				else
						{
								$err = 1;
								err_game( "Кол. сим. в поле \"Имя\" привышает 64-сим." );
						}
				if ( strlen2( $_POST[ 'about' ] ) <= 151 )
								$au[ 'about' ] = update_au( 'about', my_esc( $_POST[ 'about' ] ) );
				else
						{
								$err = 1;
								err_game( "Кол. сим. в поле \"Обо мне\" привышает 150-сим." );
						}
				if ( strlen2( $_POST[ 'icq' ] ) <= 9 )
								$au[ 'icq' ] = update_au( 'icq', my_esc( $_POST[ 'icq' ] ) );
				else
						{
								$err = 1;
								err_game( "Кол. сим. в поле \"Icq\" привышает 9-сим." );
						}
				if ( strlen2( $_POST[ 'skype' ] ) <= 64 )
								$au[ 'skype' ] = update_au( 'skype', my_esc( $_POST[ 'skype' ] ) );
				else
						{
								$err = 1;
								err_game( "Кол. сим. в поле \"Skype\" привышает 64-сим." );
						}
				if ( strlen2( $_POST[ 'live' ] ) <= 64 )
								$au[ 'live' ] = update_au( 'live', my_esc( $_POST[ 'live' ] ) );
				else
						{
								$err = 1;
								err_game( "Количество символов в поле \"Город\" больше 64" );
						}
				if ( strlen2( $_POST[ 'mibile' ] ) <= 15 )
								$au[ 'mibile' ] = update_au( 'mibile', my_esc( $_POST[ 'mibile' ] ) );
				else
						{
								$err = 1;
								err_game( "Количество символов в поле \"Телефон\" больше 15" );
						}
				if ( !isset( $err ) )
						{
								$_SESSION[ 'msg' ] = "Данные успешно сохранены.";
								header( "Location:?user=$ku[id]" );
						}
		}
?>

<div class="event">
<h1>Редактирование анкеты</h1>
</div>
<div class="content">
<div class="block">
<form method="post">
<div style="width:0px;height:0px;position:absolute;left:-100px;top:-100px;overflow:hidden"><input type="hidden" name="mdp" value="<?php
echo $ku[ 'mdp' ];
?>"></div>

<ul>

<li class="pt"><label>Имя:<br/><input type="text" value="<?php
echo hsc( $au[ 'imname' ] );
?>" name="imname" /></label></li>
<li class="pt"><label>Город:<br/><input type="text" value="<?php
echo hsc( $au[ 'live' ] );
?>" name="live" /></label></li>
<li class="pt"><label>Обо мне:<br><input type="text" value="<?php
echo hsc( $au[ 'about' ] );
?>" name="about" /></label></li>
<li class="pt"><label>Icq:<br><input type="text" value="<?php
echo hsc( $au[ 'icq' ] );
?>" name="icq" /></label></li>
<li class="pt"><label>Skype:<br><input type="text" value="<?php
echo hsc( $au[ 'skype' ] );
?>" name="skype" /></label></li>
<li class="pt"><label>Тел:<br/><input type="text" value="<?php
echo hsc( $au[ 'mibile' ] );
?>" name="mibile" /></label></li>
<li class="pt"><input type="submit" value="Сохранить"></li>

</ul>
</form>

</div>
<?php
include_once 'inc/foot.php';
?>